/*
   Event type specific functions

   Copyright (C) 2012
   The Free Software Foundation, Inc.

   Written by:
   Andrew Borodin, 2012

   This file is part of the Midnight Commander.

   The Midnight Commander is free software: you can redistribute it
   and/or modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation, either version 3 of the License,
   or (at your option) any later version.

   The Midnight Commander is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/** \file
 *  \brief Source: Event type specific functions
 *  \author Andrew Borodin
 *  \date 2012
 */

#include <config.h>

#include "global.h"
#include "lib/vfs/vfs.h"        /* vfs_path_t */
#include "event-types.h"

/*** global variables ****************************************************************************/

/*** file scope macro definitions ****************************************************************/

/*** file scope type declarations ****************************************************************/

/*** file scope variables ************************************************************************/

/*** file scope functions ************************************************************************/

/* --------------------------------------------------------------------------------------------- */
/*** public functions ****************************************************************************/
/* --------------------------------------------------------------------------------------------- */

/**
 *  Free editor event data
 *
 */
void
free_editor_data (ev_editor_data_t *data)
{
    vfs_path_free (data->path);
    g_free (data);
}

/* --------------------------------------------------------------------------------------------- */

/**
 *  Free viewer event data
 *
 */
void
free_viewer_data (ev_viewer_data_t *data)
{
    vfs_path_free (data->path);
    g_free (data->command);
    g_free (data);
}

/* --------------------------------------------------------------------------------------------- */
